Dev Login
Development-only login that bypasses Azure AD. ONLY available when: - ENVIRONMENT=development - ALLOW_DEV_AUTH_BYPASS=true This endpoint is for local development and testing only.
Development-only login that bypasses Azure AD.
ONLY available when:
- ENVIRONMENT=development
- ALLOW_DEV_AUTH_BYPASS=true
This endpoint is for local development and testing only.
Query Parameters
email?Email
Default
"dev@example.com"role?Role
Default
"tenant_admin"Value in
"super_admin" | "tenant_owner" | "tenant_admin" | "tenant_user" | "tenant_readonly"tenant_id?string|null
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/auth/dev-login"{
"access_token": "string",
"expires_in": 0,
"token_type": "Bearer",
"user": {
"email": "string",
"email_verified": true,
"full_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_azure_bound": true,
"role": "super_admin",
"tenant_activated_at": "2019-08-24T14:15:22Z"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}